Index: trunk/test/unit/org/openstreetmap/josm/gui/history/CoordinateInfoViewerTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/gui/history/CoordinateInfoViewerTest.java	(revision 13509)
+++ trunk/test/unit/org/openstreetmap/josm/gui/history/CoordinateInfoViewerTest.java	(revision 17275)
@@ -2,8 +2,9 @@
 package org.openstreetmap.josm.gui.history;
 
-import static org.junit.Assert.assertNotNull;
+import static org.junit.jupiter.api.Assertions.assertNotNull;
+import static org.junit.jupiter.api.Assertions.assertThrows;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
 import org.openstreetmap.josm.testutils.JOSMTestRules;
 
@@ -13,10 +14,10 @@
  * Unit tests of {@link CoordinateInfoViewer} class.
  */
-public class CoordinateInfoViewerTest {
+class CoordinateInfoViewerTest {
 
     /**
      * Setup test.
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules().preferences();
@@ -25,7 +26,7 @@
      * Test for {@link CoordinateInfoViewer#CoordinateInfoViewer} - {@code null} handling.
      */
-    @Test(expected = IllegalArgumentException.class)
-    public void testCoordinateInfoViewerNull() {
-        new CoordinateInfoViewer(null);
+    @Test
+    void testCoordinateInfoViewerNull() {
+        assertThrows(IllegalArgumentException.class, () -> new CoordinateInfoViewer(null));
     }
 
@@ -34,5 +35,5 @@
      */
     @Test
-    public void testCoordinateInfoViewerNominal() {
+    void testCoordinateInfoViewerNominal() {
         assertNotNull(new CoordinateInfoViewer(new HistoryBrowserModel()));
     }
Index: trunk/test/unit/org/openstreetmap/josm/gui/history/HistoryBrowserDialogTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/gui/history/HistoryBrowserDialogTest.java	(revision 13509)
+++ trunk/test/unit/org/openstreetmap/josm/gui/history/HistoryBrowserDialogTest.java	(revision 17275)
@@ -2,10 +2,10 @@
 package org.openstreetmap.josm.gui.history;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
 import java.util.Date;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
+import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.data.osm.OsmPrimitiveType;
 import org.openstreetmap.josm.data.osm.User;
@@ -22,10 +22,10 @@
  * Unit tests of {@link HistoryBrowserDialog} class.
  */
-public class HistoryBrowserDialogTest {
+class HistoryBrowserDialogTest {
 
     /**
      * Setup test.
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules();
@@ -35,5 +35,5 @@
      */
     @Test
-    public void testBuildTitle() {
+    void testBuildTitle() {
         HistoryDataSet hds = new HistoryDataSet();
         User user = User.createOsmUser(1, "");
Index: trunk/test/unit/org/openstreetmap/josm/gui/history/HistoryBrowserModelTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/gui/history/HistoryBrowserModelTest.java	(revision 13509)
+++ trunk/test/unit/org/openstreetmap/josm/gui/history/HistoryBrowserModelTest.java	(revision 17275)
@@ -2,12 +2,12 @@
 package org.openstreetmap.josm.gui.history;
 
-import static org.junit.Assert.assertEquals;
-import static org.junit.Assert.assertNotEquals;
-import static org.junit.Assert.assertNotNull;
-import static org.junit.Assert.assertNull;
-import static org.junit.Assert.assertTrue;
+import static org.junit.jupiter.api.Assertions.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertNotEquals;
+import static org.junit.jupiter.api.Assertions.assertNotNull;
+import static org.junit.jupiter.api.Assertions.assertNull;
+import static org.junit.jupiter.api.Assertions.assertTrue;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
+import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.data.osm.Node;
 import org.openstreetmap.josm.data.osm.OsmPrimitiveType;
@@ -24,10 +24,10 @@
  * Unit tests of {@link HistoryBrowserModel} class.
  */
-public class HistoryBrowserModelTest {
+class HistoryBrowserModelTest {
 
     /**
      * Setup test.
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules().preferences().devAPI().timeout(30000);
@@ -37,5 +37,5 @@
      */
     @Test
-    public void testHistoryBrowserModel() {
+    void testHistoryBrowserModel() {
         HistoryBrowserModel model = new HistoryBrowserModel();
         assertNotNull(model.getVersionTableModel());
@@ -57,5 +57,5 @@
      */
     @Test
-    public void testGetTagTableModel() {
+    void testGetTagTableModel() {
         HistoryBrowserModel model = new HistoryBrowserModel();
         TagTableModel t1 = model.getTagTableModel(PointInTimeType.CURRENT_POINT_IN_TIME);
@@ -70,5 +70,5 @@
      */
     @Test
-    public void testGetNodeListTableModel() {
+    void testGetNodeListTableModel() {
         HistoryBrowserModel model = new HistoryBrowserModel();
         DiffTableModel t1 = model.getNodeListTableModel(PointInTimeType.CURRENT_POINT_IN_TIME);
@@ -83,5 +83,5 @@
      */
     @Test
-    public void testGetRelationMemberTableModel() {
+    void testGetRelationMemberTableModel() {
         HistoryBrowserModel model = new HistoryBrowserModel();
         DiffTableModel t1 = model.getRelationMemberTableModel(PointInTimeType.CURRENT_POINT_IN_TIME);
@@ -96,5 +96,5 @@
      */
     @Test
-    public void testSetPointsInTimeNullHistory() {
+    void testSetPointsInTimeNullHistory() {
         HistoryBrowserModel model = new HistoryBrowserModel();
         VersionTableModel tableModel = model.getVersionTableModel();
@@ -109,5 +109,5 @@
      */
     @Test
-    public void testSetPointsInTimeNodeHistory() {
+    void testSetPointsInTimeNodeHistory() {
         SimplePrimitiveId id = new SimplePrimitiveId(2, OsmPrimitiveType.NODE);
         new HistoryLoadTask().add(id).run();
@@ -132,5 +132,5 @@
      */
     @Test
-    public void testSetPointsInTimeWayHistory() {
+    void testSetPointsInTimeWayHistory() {
         SimplePrimitiveId id = new SimplePrimitiveId(2, OsmPrimitiveType.WAY);
         new HistoryLoadTask().add(id).run();
@@ -155,5 +155,5 @@
      */
     @Test
-    public void testSetPointsInTimeRelationHistory() {
+    void testSetPointsInTimeRelationHistory() {
         SimplePrimitiveId id = new SimplePrimitiveId(2, OsmPrimitiveType.RELATION);
         new HistoryLoadTask().add(id).run();
Index: trunk/test/unit/org/openstreetmap/josm/gui/history/HistoryLoadTaskTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/gui/history/HistoryLoadTaskTest.java	(revision 13509)
+++ trunk/test/unit/org/openstreetmap/josm/gui/history/HistoryLoadTaskTest.java	(revision 17275)
@@ -2,11 +2,11 @@
 package org.openstreetmap.josm.gui.history;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
 import java.io.IOException;
 import java.io.InputStream;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
+import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.TestUtils;
 import org.openstreetmap.josm.data.osm.Node;
@@ -30,10 +30,10 @@
  * Unit tests of {@link HistoryLoadTask} class.
  */
-public class HistoryLoadTaskTest {
+class HistoryLoadTaskTest {
 
     /**
      * Setup test.
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules().preferences().devAPI().timeout(20000);
@@ -43,5 +43,5 @@
      */
     @Test
-    public void testGetLoadingMessage() {
+    void testGetLoadingMessage() {
         assertEquals("Loading history for node {0}", HistoryLoadTask.getLoadingMessage(new Node().getPrimitiveId()));
         assertEquals("Loading history for way {0}", HistoryLoadTask.getLoadingMessage(new Way().getPrimitiveId()));
@@ -57,5 +57,5 @@
      */
     @Test
-    public void testLoadHistory() throws OsmTransferException {
+    void testLoadHistory() throws OsmTransferException {
         HistoryDataSet ds = HistoryLoadTask.loadHistory(new OsmServerHistoryReader(OsmPrimitiveType.NODE, 0) {
             @Override
Index: trunk/test/unit/org/openstreetmap/josm/gui/history/NodeListViewerTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/gui/history/NodeListViewerTest.java	(revision 13509)
+++ trunk/test/unit/org/openstreetmap/josm/gui/history/NodeListViewerTest.java	(revision 17275)
@@ -2,8 +2,9 @@
 package org.openstreetmap.josm.gui.history;
 
-import static org.junit.Assert.assertNotNull;
+import static org.junit.jupiter.api.Assertions.assertNotNull;
+import static org.junit.jupiter.api.Assertions.assertThrows;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
 import org.openstreetmap.josm.testutils.JOSMTestRules;
 
@@ -13,10 +14,10 @@
  * Unit tests of {@link NodeListViewer} class.
  */
-public class NodeListViewerTest {
+class NodeListViewerTest {
 
     /**
      * Setup test.
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules().preferences();
@@ -25,7 +26,7 @@
      * Test for {@link NodeListViewer#NodeListViewer} - {@code null} handling.
      */
-    @Test(expected = IllegalArgumentException.class)
-    public void testNodeListViewerNull() {
-        new NodeListViewer(null);
+    @Test
+    void testNodeListViewerNull() {
+        assertThrows(IllegalArgumentException.class, () -> new NodeListViewer(null));
     }
 
@@ -34,5 +35,5 @@
      */
     @Test
-    public void testNodeListViewerNominal() {
+    void testNodeListViewerNominal() {
         assertNotNull(new NodeListViewer(new HistoryBrowserModel()));
     }
